.source-card {
    /* トップページと違いa要素の中に入れているのでブロックに設定する */
    display: block;
    text-decoration: none;
    color: inherit;
    background-color: #fff;
    transition: 0.2s;
    margin-bottom: 20px;
    border-radius: 12px;
}

.source-card:hover {
    transform: translate(0, -5px);
    box-shadow: 0 5px 9px rgba(0, 0, 0, .5);
}

.source-card__container {
    display: flex;
    text-decoration: none;
    color: inherit;
    align-items: stretch;
}

.source-card__thumbnail {
    position: relative;
    flex-shrink: 0;
    width: 80px;
    height: 80px;
    margin: 10px;
    border-radius: 4px;
    border: 1px solid rgba(0, 0, 0, 0.08);
}

.source-card__thumbnail img {
    transition: .3s;
    width: 100%;
    height: 100%;
    object-fit: contain; 
    display: block;
}

.source-card__content {
    display: flex;
    flex-grow: 1;
    flex-direction: column;
    padding: 10px;
}

.source-card__name {
    font-weight: bold;
    margin: 0 0 0 0;
    font-size: 1.15rem;
    line-height: 1.4;
    color: #333;
    display: -webkit-box;
    line-clamp: 1;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
}

.source-card__description {
    margin: 0;
    font-size: 0.9rem;
    color: #666;
    line-height: 1.5;
    display: -webkit-box;
    line-clamp: 3;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
}

/* 画像がない時の外枠 */
.source-related-no-thumb {
    width: 100%;
    aspect-ratio: 16 / 9; /* 画像と同じ比率に保つ */
    background-color: #e0e0e0;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 6px;
}

/* アイコン自体のサイズと色 */
.source-related-no-thumb .dashicons {
    font-size: 48px; /* アイコンを大きく */
    width: 48px;
    height: 48px;
    color: #999;
}

.source-card__badge {
    display: inline-block;
    /* margin-bottom: 6px; */
    padding: 1px 8px;
    background: #ff6b6b;
    color: #fff;
    font-size: 0.7rem;
    font-weight: bold;
    border-radius: 999px;
    display: none;
}

.source-card__bar{
    margin-top: auto;
}